Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
NotificationEvent Enumeration
See Also

Specify a Berkeley DB event

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public enum NotificationEvent

Visual Basic (Declaration)
    Public Enumeration NotificationEvent

Visual C++
    public enum class NotificationEvent

# Members

| Member name | Description
--- | --- | ---
| PANIC | The database environment has failed.
| REP_CLIENT | The local site is now a replication client.
| REP_ELECTED | The local replication site has just won an election.
| REP_MASTER | The local site is now the master site of its replication group. It is the application's responsibility to begin acting as the master environment.
| REP_NEWMASTER | The replication group of which this site is a member has just established a new master; the local site is not the new master. The event_info parameter to the EventNotifyDelegate stores an integer containing the environment ID of the new master.
| REP_PERM_FAILED | The replication manager did not receive enough acknowledgements (based on the acknowledgement policy configured with RepMgrAckPolicy) to ensure a transaction's durability within the replication group. The transaction will be flushed to the master's local disk storage for durability.
| REP_STARTUPDONE | The client has completed startup synchronization and is now processing live log records received from the master.
| WRITE_FAILED | A Berkeley DB write to stable storage failed.

# See Also

BerkeleyDB Namespace